Available in VPC
Get the orderer details of a blockchain network.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/networks/{networkId}/orderers/{ordererId} (Korea Region) |
| GET | /api/sgn-v1/networks/{networkId}/orderers/{ordererId} (Singapore Region) |
Request headers
For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
networkId |
Long | Required | Network ID
|
ordererId |
String | Required | Orderer ID
|
Request example
The following is a sample request.
curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/orderers/{ordererId}' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
content |
Object | - | Orderer details |
content.networkId |
Long | - | Network ID |
content.ordererId |
String | - | Orderer ID |
content.ordererName |
String | - | Orderer name |
content.mspId |
String | - | Orderer MSP ID |
content.ordererType |
String | - | Orderer configuration type
|
content.endpointAddr |
Array[String] | - | Orderer URL address |
content.adminIdentityName |
String | - | Admin orderer CA name |
content.exportNetworkId |
Long | - | Network ID imported from another network
|
content.exportOrdererId |
String | - | Orderer ID imported from another network
|
content.ordererResourceCpu |
Float | - | CPU capacity allocated to orderer pod (unit: core) |
content.ordererResourceMem |
Integer | - | Memory capacity allocated to orderer pod (unit: MB) |
content.ordererResourceStorage |
Integer | - | Storage capacity allocated to orderer pod (unit: MiB) |
content.batchConfigTimeout |
Integer | - | Interval between gathering transactions to create a block (unit: second)
|
content.batchConfigMaxMessageCount |
Integer | - | Maximum number of transactions to include when creating a block (unit: count)
|
content.batchConfigPreferredMaxBytes |
Integer | - | Maximum size when creating a block (unit: MB)
|
content.batchConfigAbsoluteMaxBytes |
Integer | - | Maximum size that blocks are based on when created (unit: MB)
|
content.nodeAffinityLabel |
String | - | Label name of the Ncloud Kubernetes Service cluster nodepool where the orderer node is deployed |
content.importYn |
Boolean | - | Orderer MSP import status
|
content.status |
String | - | Orderer status
|
content.consortiumList |
Array | - | consortiumList details: consortiumList |
content.channelList |
Array | - | channelList details: channelList |
content.podStatus |
Array | - | podStatus details: podStatus |
content.createDate |
LocalDateTime | - | Orderer creation date and time
|
consortiumList
The following describes consortiumList.
| Field | Type | Required | Description |
|---|---|---|---|
networkId |
Long | - | Network ID where the consortium is configured |
networkName |
String | - | Network name where the consortium is configured |
mspId |
String | - | MSP ID where the consortium is configured |
mspName |
String | - | MSP name where the consortium is configured |
importYn |
Boolean | - | Orderer MSP import status
|
channelList
The following describes channelList.
| Field | Type | Required | Description |
|---|---|---|---|
networkId |
Long | - | Network ID where the channel is created |
ordererId |
String | - | Orderer ID where the channel is created |
channelName |
String | - | Channel name |
operator |
String | - | Channel operator name |
podStatus
The following describes podStatus.
| Field | Type | Required | Description |
|---|---|---|---|
podStatus |
String | - | Lifecycle stages of orderer pods
|
ordererResourceStorage |
Integer | - | Storage capacity allocated to orderer pod (unit: MiB) |
name |
String | - | Orderer pod name |
ordererResourceMem |
Integer | - | Memory capacity allocated to orderer pod (unit: MB) |
ordererResourceCpu |
Integer | - | CPU capacity allocated to orderer pod (unit: core) |
Response status codes
For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.
Response example
The following is a sample example.
When querying with network ID of single node (Raft 1) type
The following is a sample response when querying with a network ID of the single-node (Raft 1) type.
{
"content": {
"networkId": 1630,
"ordererId": "25728701",
"ordererName": "test-orderer",
"mspId": "test-msp",
"ordererType": "Raft 1",
"endpointAddr": "[test-orderer1-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com]",
"adminIdentityName": "******-orderer",
"ordererResourceCpu": 0.35,
"ordererResourceMem": 700,
"ordererResourceStorage": 200,
"batchConfigTimeout": 0,
"batchConfigMaxMessageCount": 0,
"batchConfigPreferredMaxBytes": 0,
"batchConfigAbsoluteMaxBytes": 0,
"nodeAffinityLabel": "ncloud.com/nks-nodepool=test",
"importYn": "N",
"status": "ACTIVE",
"consortiumList": [
{
"networkId": 1630,
"networkName": "******-blockchain-test1",
"mspId": "test-msp3",
"mspName": "test-msp3",
"importYn": "N"
},
{
"networkId": 1630,
"networkName": "******-blockchain-test1",
"mspId": "test-msp2",
"mspName": "test-msp2",
"importYn": "N"
},
{
"networkId": 1630,
"networkName": "******-blockchain-test1",
"mspId": "test-msp",
"mspName": "test-msp",
"importYn": "N"
}
],
"channelList": [
{
"networkId": 1630,
"ordererId": "25728701",
"channelName": "test-channel",
"operator": "test-msp"
}
],
"podStatus": [
{
"podStatus": "Running",
"ordererResourceStorage": 200,
"name": "test-orderer1",
"ordererResourceMem": 700,
"ordererResourceCpu": 0.35
}
],
"createDate": "2024-07-29T07:30:59+0000"
}
}
When querying with network ID of multiple node (Raft 5) type
The following is a sample response when querying with a network ID of the multi-node (Raft 5) type.
{
"content": {
"networkId": 1630,
"ordererId": "24739528",
"ordererName": "test-orderer2",
"mspId": "test-msp",
"ordererType": "Raft 5",
"endpointAddr": "[test-orderer25-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer23-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer21-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer24-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer22-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com]",
"adminIdentityName": "******-orderer",
"ordererResourceCpu": 0.35,
"ordererResourceMem": 700,
"ordererResourceStorage": 100,
"batchConfigTimeout": 0,
"batchConfigMaxMessageCount": 0,
"batchConfigPreferredMaxBytes": 0,
"batchConfigAbsoluteMaxBytes": 0,
"nodeAffinityLabel": "",
"importYn": "N",
"status": "ACTIVE",
"consortiumList": [],
"channelList": [],
"podStatus": [
{
"podStatus": "Running",
"ordererResourceStorage": 100,
"name": "test-orderer21",
"ordererResourceMem": 700,
"ordererResourceCpu": 0.35
},
{
"podStatus": "Running",
"ordererResourceStorage": 100,
"name": "test-orderer22",
"ordererResourceMem": 700,
"ordererResourceCpu": 0.35
},
{
"podStatus": "Running",
"ordererResourceStorage": 100,
"name": "test-orderer23",
"ordererResourceMem": 700,
"ordererResourceCpu": 0.35
},
{
"podStatus": "Running",
"ordererResourceStorage": 100,
"name": "test-orderer24",
"ordererResourceMem": 700,
"ordererResourceCpu": 0.35
},
{
"podStatus": "Running",
"ordererResourceStorage": 100,
"name": "test-orderer25",
"ordererResourceMem": 700,
"ordererResourceCpu": 0.35
}
],
"createDate": "2024-07-31T02:11:51+0000"
}
}
When querying with imported network ID
The following is a sample response when querying with an imported network ID.
{
"content": {
"networkId": 1633,
"ordererId": "1633orderer25utfaj",
"ordererName": "orderer2",
"ordererType": "Raft 1",
"endpointAddr": "[orderer21-ydmzwr-hlf-ord.bc-yxvftpy7.kr.blockchain.naverncp.com]",
"exportNetworkId": 1634,
"exportOrdererId": "25869834",
"ordererResourceCpu": 0.0,
"ordererResourceMem": 0,
"ordererResourceStorage": 0,
"batchConfigTimeout": 0,
"batchConfigMaxMessageCount": 0,
"batchConfigPreferredMaxBytes": 0,
"batchConfigAbsoluteMaxBytes": 0,
"importYn": "Y",
"status": "ACTIVE"
}
}